### Method

# Clutter PickContext push_clip

#### Declaration [src]

    void
    clutter_pick_context_push_clip (
      ClutterPickContext* pick_context,
      const ClutterActorBox* box
    )

#### Description [src]

Pushes a clip rectangle defined by `box` into the pick stack. Pop with `clutter_pick_context_pop_clip()` when done.

#### Parameters

`box`

  Type: `ClutterActorBox`

  A `ClutterActorBox`.

  The data is owned by the caller of the method.